<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>org.classicmayan.tools</groupId>
	<artifactId>classicmayanObjectAPI</artifactId>
	<packaging>war</packaging>
	<version>1.1.1-SNAPSHOT</version>
	<name>classicmayanObjectAPI</name>
	<url>http://maven.apache.org</url>
	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<cxf.version>3.3.13</cxf.version>
		<cyclonedx-maven-plugin.version>2.7.0</cyclonedx-maven-plugin.version>
		<idiom-queries.version>1.3.0</idiom-queries.version>
		<jackson.version>1.1.1</jackson.version>
		<javax-servlet.version>3.1.0</javax-servlet.version>
		<javax-ws.version>2.0</javax-ws.version>
		<jdeb.version>1.4</jdeb.version>
		<jetty-maven-plugin.version>9.4.12.v20180830</jetty-maven-plugin.version>
		<junit.version>4.13.1</junit.version>
		<json.version>20190722</json.version>
		<jstl.version>1.2</jstl.version>
		<maven.compiler.source>1.8</maven.compiler.source>
		<maven.compiler.target>1.8</maven.compiler.target>
		<maven-deploy-plugin.version>2.8.2</maven-deploy-plugin.version>
		<maven-surefire-plugin.version>2.22.0</maven-surefire-plugin.version>
		<maven-war-plugin.version>3.2.2</maven-war-plugin.version>
		<spring.version>5.3.22</spring.version>
	</properties>
	<dependencies>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>${junit.version}</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-webmvc</artifactId>
			<version>${spring.version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-test</artifactId>
			<version>${spring.version}</version>
		</dependency>
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>javax.servlet-api</artifactId>
			<version>${javax-servlet.version}</version>
			<scope>provided</scope>
		</dependency>
		<!-- Some containers like Tomcat don't have jstl library -->
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>jstl</artifactId>
			<version>${jstl.version}</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>javax.ws.rs</groupId>
			<artifactId>javax.ws.rs-api</artifactId>
			<version>${javax-ws.version}</version>
		</dependency>
		<dependency>
			<groupId>org.hamcrest</groupId>
			<artifactId>hamcrest-library</artifactId>
			<version>1.3</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-rt-frontend-jaxws</artifactId>
			<version>${cxf.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-rt-frontend-jaxrs</artifactId>
			<version>${cxf.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-rt-transports-http</artifactId>
			<version>${cxf.version}</version>
		</dependency>
		<!-- Jetty is needed if you're are not using the CXFServlet -->
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-rt-transports-http-jetty</artifactId>
			<version>${cxf.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf</artifactId>
			<type>pom</type>
			<version>${cxf.version}</version>
		</dependency>
		<dependency>
			<groupId>org.classicmayan.tools</groupId>
			<artifactId>idiomQueries</artifactId>
			<version>${idiom-queries.version}</version>
		</dependency>
		<!-- TODO Do we really need JSON AND Jackson? -->
		<dependency>
			<groupId>org.json</groupId>
			<artifactId>json</artifactId>
			<version>${json.version}</version>
		</dependency>
		<dependency>
			<groupId>org.codehaus.jackson</groupId>
			<artifactId>jackson-jaxrs</artifactId>
			<version>${jackson.version}</version>
		</dependency>
	</dependencies>
	<profiles>
		<profile>
			<id>sbom</id>
			<build>
				<plugins>
					<plugin>
						<groupId>org.cyclonedx</groupId>
						<artifactId>cyclonedx-maven-plugin</artifactId>
						<version>${cyclonedx-maven-plugin.version}</version>
						<executions>
							<execution>
								<phase>package</phase>
								<goals>
									<goal>makeAggregateBom</goal>
								</goals>
							</execution>
						</executions>
						<configuration>
							<outputFormat>JSON</outputFormat>
						</configuration>
					</plugin>
				</plugins>
			</build>
		</profile>
		<profile>
			<id>classicmayan.deb</id>
			<build>
				<plugins>
					<plugin>
						<groupId>org.vafer</groupId>
						<artifactId>jdeb</artifactId>
						<version>${jdeb.version}</version>
						<executions>
							<execution>
								<phase>package</phase>
								<goals>
									<goal>jdeb</goal>
								</goals>
								<configuration>
									<snapshotExpand>true</snapshotExpand>
									<dataSet>
										<data>
											<type>directory</type>
											<src>${project.build.directory}/${project.build.finalName}</src>
											<mapper>
												<type>perm</type>
												<prefix>/var/classicmayan/webapps/${project.build.finalName}</prefix>
												<user>root</user>
												<group>tomcat7</group>
												<filemode>755</filemode>
											</mapper>
										</data>
									</dataSet>
								</configuration>
							</execution>
						</executions>
					</plugin>
				</plugins>
			</build>
		</profile>
	</profiles>
	<build>
		<finalName>classicmayanSignCatalogue</finalName>
		<plugins>
			<plugin>
				<groupId>org.eclipse.jetty</groupId>
				<artifactId>jetty-maven-plugin</artifactId>
				<version>${jetty-maven-plugin.version}</version>
				<configuration>
					<scanIntervalSeconds>1</scanIntervalSeconds>
					<webApp>
						<contextPath>/</contextPath>
					</webApp>
					<httpConnector>
						<port>3232</port>
					</httpConnector>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-surefire-plugin</artifactId>
				<version>${maven-surefire-plugin.version}</version>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-war-plugin</artifactId>
				<version>${maven-war-plugin.version}</version>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-deploy-plugin</artifactId>
				<version>${maven-deploy-plugin.version}</version>
				<configuration>
					<skip>true</skip>
				</configuration>
			</plugin>
		</plugins>
	</build>
	<repositories>
		<repository>
			<id>maven-dariah-public</id>
			<name>GWDG Nexus DARIAH-DE Repository</name>
			<url>https://nexus.gwdg.de/repository/maven-dariah-public/</url>
		</repository>
	</repositories>
	<distributionManagement>
		<snapshotRepository>
			<id>maven-dariah-public</id>
			<name>GWDG Nexus DARIAH-DE Repository</name>
			<url>https://nexus.gwdg.de/repository/maven-dariah-public/</url>
		</snapshotRepository>
		<repository>
			<id>maven-dariah-public</id>
			<name>GWDG Nexus DARIAH-DE Repository</name>
			<url>https://nexus.gwdg.de/repository/maven-dariah-public/</url>
		</repository>
	</distributionManagement>
</project>
